from setuptools import find_packages, setup


with open("requirements.in") as f:
    install_requires = [line for line in f if line and line[0] not in "#-"]

with open("test-requirements.in") as f:
    tests_require = [line for line in f if line and line[0] not in "#-"]

with open("README.md") as f:
    readme = f.read()

setup(
    name="structlog-sentry",
    version="1.2.1",
    url="https://github.com/kiwicom/structlog-sentry",
    long_description=readme,
    long_description_content_type="text/markdown",
    author="Pavel Dedík",
    author_email="pavel.dedik@kiwi.com",
    packages=find_packages(),
    python_requires=">=3.5",
    install_requires=install_requires,
    tests_require=tests_require,
    include_package_data=True,
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Environment :: Web Environment",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],
)
